Assistance on Installing Rattle

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Assistance on Installing Rattle

Shivi Bhatia-2
Hi,

Need assistance on installing Rattle.

I have followed the instructions on https://rattle.togaware.com/
but still facing error installing the package.
ERROR: dependency 'RGtk2' is not available for package 'rattle'.
Have tried installing RGt2 from multiple sources and its still failing.

One of the suggestion on stack overflow was to downgrade the R version here
:
https://stackoverflow.com/questions/24913643/downgrade-r-version-no-issues-with-bioconductor-installation
Request assistance.

Regards, Shivi

        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: Assistance on Installing Rattle

Eric Berger
Hi Shivi,
I have no experience with the rattle package but I just installed it with
no problem.
I am using a Windows 10 machine with R version 3.4.2.

I suggest you provide additional information so that others may have ideas.
e.g. your operating system version and output from sessionInfo() (in R)

Best,
Eric


On Sat, Aug 11, 2018 at 6:55 PM, Shivi Bhatia <[hidden email]> wrote:

> Hi,
>
> Need assistance on installing Rattle.
>
> I have followed the instructions on https://rattle.togaware.com/
> but still facing error installing the package.
> ERROR: dependency 'RGtk2' is not available for package 'rattle'.
> Have tried installing RGt2 from multiple sources and its still failing.
>
> One of the suggestion on stack overflow was to downgrade the R version here
> :
> https://stackoverflow.com/questions/24913643/downgrade-
> r-version-no-issues-with-bioconductor-installation
> Request assistance.
>
> Regards, Shivi
>
>         [[alternative HTML version deleted]]
>
> ______________________________________________
> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
> https://stat.ethz.ch/mailman/listinfo/r-help
> PLEASE do read the posting guide http://www.R-project.org/
> posting-guide.html
> and provide commented, minimal, self-contained, reproducible code.
>

        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: Assistance on Installing Rattle

Shivi Bhatia-2
Hi Eric,

Thank you for the reply. I am adding the session details below, hope it
helps:
R version 3.5.1 (2018-07-02)
Platform: x86_64-w64-mingw32/x64 (64-bit)
Running under: Windows >= 8 x64 (build 9200)

Matrix products: default
locale:
[1] LC_COLLATE=English_India.1252  LC_CTYPE=English_India.1252
LC_MONETARY=English_India.1252
[4] LC_NUMERIC=C                   LC_TIME=English_India.1252

attached base packages:
[1] stats     graphics  grDevices utils     datasets  methods   base

Thanks.

On Sat, Aug 11, 2018 at 9:38 PM Eric Berger <[hidden email]> wrote:

> Hi Shivi,
> I have no experience with the rattle package but I just installed it with
> no problem.
> I am using a Windows 10 machine with R version 3.4.2.
>
> I suggest you provide additional information so that others may have ideas.
> e.g. your operating system version and output from sessionInfo() (in R)
>
> Best,
> Eric
>
>
> On Sat, Aug 11, 2018 at 6:55 PM, Shivi Bhatia <[hidden email]>
> wrote:
>
>> Hi,
>>
>> Need assistance on installing Rattle.
>>
>> I have followed the instructions on https://rattle.togaware.com/
>> but still facing error installing the package.
>> ERROR: dependency 'RGtk2' is not available for package 'rattle'.
>> Have tried installing RGt2 from multiple sources and its still failing.
>>
>> One of the suggestion on stack overflow was to downgrade the R version
>> here
>> :
>>
>> https://stackoverflow.com/questions/24913643/downgrade-r-version-no-issues-with-bioconductor-installation
>> Request assistance.
>>
>> Regards, Shivi
>>
>>         [[alternative HTML version deleted]]
>>
>> ______________________________________________
>> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
>> https://stat.ethz.ch/mailman/listinfo/r-help
>> PLEASE do read the posting guide
>> http://www.R-project.org/posting-guide.html
>> and provide commented, minimal, self-contained, reproducible code.
>>
>
>

        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: Assistance on Installing Rattle

Michael Dewey-3
Dear Shivi

What error message do you get when you try to install RGtk2?

Michael

On 12/08/2018 11:49, Shivi Bhatia wrote:

> Hi Eric,
>
> Thank you for the reply. I am adding the session details below, hope it
> helps:
> R version 3.5.1 (2018-07-02)
> Platform: x86_64-w64-mingw32/x64 (64-bit)
> Running under: Windows >= 8 x64 (build 9200)
>
> Matrix products: default
> locale:
> [1] LC_COLLATE=English_India.1252  LC_CTYPE=English_India.1252
> LC_MONETARY=English_India.1252
> [4] LC_NUMERIC=C                   LC_TIME=English_India.1252
>
> attached base packages:
> [1] stats     graphics  grDevices utils     datasets  methods   base
>
> Thanks.
>
> On Sat, Aug 11, 2018 at 9:38 PM Eric Berger <[hidden email]> wrote:
>
>> Hi Shivi,
>> I have no experience with the rattle package but I just installed it with
>> no problem.
>> I am using a Windows 10 machine with R version 3.4.2.
>>
>> I suggest you provide additional information so that others may have ideas.
>> e.g. your operating system version and output from sessionInfo() (in R)
>>
>> Best,
>> Eric
>>
>>
>> On Sat, Aug 11, 2018 at 6:55 PM, Shivi Bhatia <[hidden email]>
>> wrote:
>>
>>> Hi,
>>>
>>> Need assistance on installing Rattle.
>>>
>>> I have followed the instructions on https://rattle.togaware.com/
>>> but still facing error installing the package.
>>> ERROR: dependency 'RGtk2' is not available for package 'rattle'.
>>> Have tried installing RGt2 from multiple sources and its still failing.
>>>
>>> One of the suggestion on stack overflow was to downgrade the R version
>>> here
>>> :
>>>
>>> https://stackoverflow.com/questions/24913643/downgrade-r-version-no-issues-with-bioconductor-installation
>>> Request assistance.
>>>
>>> Regards, Shivi
>>>
>>>          [[alternative HTML version deleted]]
>>>
>>> ______________________________________________
>>> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
>>> https://stat.ethz.ch/mailman/listinfo/r-help
>>> PLEASE do read the posting guide
>>> http://www.R-project.org/posting-guide.html
>>> and provide commented, minimal, self-contained, reproducible code.
>>>
>>
>>
>
> [[alternative HTML version deleted]]
>
> ______________________________________________
> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
> https://stat.ethz.ch/mailman/listinfo/r-help
> PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
> and provide commented, minimal, self-contained, reproducible code.
>

--
Michael
http://www.dewey.myzen.co.uk/home.html

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: Assistance on Installing Rattle

Shivi Bhatia-2
Hi Michael,

I was able to install RGtk2 from install.packages("
https://cran.r-project.org/bin/windows/contrib/3.3/RGtk2_2.20.31.zip",
repos=NULL) but after installing this and trying to install rattle i get
this error:
Error : package 'RGtk2' was installed by an R version with different
internals; it needs to be reinstalled for use with this R version
ERROR: lazy loading failed for package 'rattle'

I tried installing rattle from install.packages("rattle", repos="
https://rattle.togaware.com", type="source").

Regards, Shivi


On Sun, Aug 12, 2018 at 7:20 PM Michael Dewey <[hidden email]>
wrote:

> Dear Shivi
>
> What error message do you get when you try to install RGtk2?
>
> Michael
>
> On 12/08/2018 11:49, Shivi Bhatia wrote:
> > Hi Eric,
> >
> > Thank you for the reply. I am adding the session details below, hope it
> > helps:
> > R version 3.5.1 (2018-07-02)
> > Platform: x86_64-w64-mingw32/x64 (64-bit)
> > Running under: Windows >= 8 x64 (build 9200)
> >
> > Matrix products: default
> > locale:
> > [1] LC_COLLATE=English_India.1252  LC_CTYPE=English_India.1252
> > LC_MONETARY=English_India.1252
> > [4] LC_NUMERIC=C                   LC_TIME=English_India.1252
> >
> > attached base packages:
> > [1] stats     graphics  grDevices utils     datasets  methods   base
> >
> > Thanks.
> >
> > On Sat, Aug 11, 2018 at 9:38 PM Eric Berger <[hidden email]>
> wrote:
> >
> >> Hi Shivi,
> >> I have no experience with the rattle package but I just installed it
> with
> >> no problem.
> >> I am using a Windows 10 machine with R version 3.4.2.
> >>
> >> I suggest you provide additional information so that others may have
> ideas.
> >> e.g. your operating system version and output from sessionInfo() (in R)
> >>
> >> Best,
> >> Eric
> >>
> >>
> >> On Sat, Aug 11, 2018 at 6:55 PM, Shivi Bhatia <[hidden email]>
> >> wrote:
> >>
> >>> Hi,
> >>>
> >>> Need assistance on installing Rattle.
> >>>
> >>> I have followed the instructions on https://rattle.togaware.com/
> >>> but still facing error installing the package.
> >>> ERROR: dependency 'RGtk2' is not available for package 'rattle'.
> >>> Have tried installing RGt2 from multiple sources and its still failing.
> >>>
> >>> One of the suggestion on stack overflow was to downgrade the R version
> >>> here
> >>> :
> >>>
> >>>
> https://stackoverflow.com/questions/24913643/downgrade-r-version-no-issues-with-bioconductor-installation
> >>> Request assistance.
> >>>
> >>> Regards, Shivi
> >>>
> >>>          [[alternative HTML version deleted]]
> >>>
> >>> ______________________________________________
> >>> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
> >>> https://stat.ethz.ch/mailman/listinfo/r-help
> >>> PLEASE do read the posting guide
> >>> http://www.R-project.org/posting-guide.html
> >>> and provide commented, minimal, self-contained, reproducible code.
> >>>
> >>
> >>
> >
> >       [[alternative HTML version deleted]]
> >
> > ______________________________________________
> > [hidden email] mailing list -- To UNSUBSCRIBE and more, see
> > https://stat.ethz.ch/mailman/listinfo/r-help
> > PLEASE do read the posting guide
> http://www.R-project.org/posting-guide.html
> > and provide commented, minimal, self-contained, reproducible code.
> >
>
> --
> Michael
> http://www.dewey.myzen.co.uk/home.html
>

        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: Assistance on Installing Rattle

Michael Dewey-3
Dear Shivi

You are running R 3.5.1 according to your session info. Why are you
installing a version for R 3.3? Note that the up-to-date version depends
on R > 3.4.0 so it is no surprise that you get problems.

Michael

On 13/08/2018 16:07, Shivi Bhatia wrote:

> Hi Michael,
>
> I was able to install RGtk2
> from install.packages("https://cran.r-project.org/bin/windows/contrib/3.3/RGtk2_2.20.31.zip",
> repos=NULL) but after installing this and trying to install rattle i get
> this error:
> Error : package 'RGtk2' was installed by an R version with different
> internals; it needs to be reinstalled for use with this R version
> ERROR: lazy loading failed for package 'rattle'
>
> I tried installing rattle from install.packages("rattle",
> repos="https://rattle.togaware.com", type="source").
>
> Regards, Shivi
>
>
> On Sun, Aug 12, 2018 at 7:20 PM Michael Dewey <[hidden email]
> <mailto:[hidden email]>> wrote:
>
>     Dear Shivi
>
>     What error message do you get when you try to install RGtk2?
>
>     Michael
>
>     On 12/08/2018 11:49, Shivi Bhatia wrote:
>      > Hi Eric,
>      >
>      > Thank you for the reply. I am adding the session details below,
>     hope it
>      > helps:
>      > R version 3.5.1 (2018-07-02)
>      > Platform: x86_64-w64-mingw32/x64 (64-bit)
>      > Running under: Windows >= 8 x64 (build 9200)
>      >
>      > Matrix products: default
>      > locale:
>      > [1] LC_COLLATE=English_India.1252  LC_CTYPE=English_India.1252
>      > LC_MONETARY=English_India.1252
>      > [4] LC_NUMERIC=C                   LC_TIME=English_India.1252
>      >
>      > attached base packages:
>      > [1] stats     graphics  grDevices utils     datasets  methods   base
>      >
>      > Thanks.
>      >
>      > On Sat, Aug 11, 2018 at 9:38 PM Eric Berger
>     <[hidden email] <mailto:[hidden email]>> wrote:
>      >
>      >> Hi Shivi,
>      >> I have no experience with the rattle package but I just
>     installed it with
>      >> no problem.
>      >> I am using a Windows 10 machine with R version 3.4.2.
>      >>
>      >> I suggest you provide additional information so that others may
>     have ideas.
>      >> e.g. your operating system version and output from sessionInfo()
>     (in R)
>      >>
>      >> Best,
>      >> Eric
>      >>
>      >>
>      >> On Sat, Aug 11, 2018 at 6:55 PM, Shivi Bhatia
>     <[hidden email] <mailto:[hidden email]>>
>      >> wrote:
>      >>
>      >>> Hi,
>      >>>
>      >>> Need assistance on installing Rattle.
>      >>>
>      >>> I have followed the instructions on https://rattle.togaware.com/
>      >>> but still facing error installing the package.
>      >>> ERROR: dependency 'RGtk2' is not available for package 'rattle'.
>      >>> Have tried installing RGt2 from multiple sources and its still
>     failing.
>      >>>
>      >>> One of the suggestion on stack overflow was to downgrade the R
>     version
>      >>> here
>      >>> :
>      >>>
>      >>>
>     https://stackoverflow.com/questions/24913643/downgrade-r-version-no-issues-with-bioconductor-installation
>      >>> Request assistance.
>      >>>
>      >>> Regards, Shivi
>      >>>
>      >>>          [[alternative HTML version deleted]]
>      >>>
>      >>> ______________________________________________
>      >>> [hidden email] <mailto:[hidden email]> mailing list
>     -- To UNSUBSCRIBE and more, see
>      >>> https://stat.ethz.ch/mailman/listinfo/r-help
>      >>> PLEASE do read the posting guide
>      >>> http://www.R-project.org/posting-guide.html
>      >>> and provide commented, minimal, self-contained, reproducible code.
>      >>>
>      >>
>      >>
>      >
>      >       [[alternative HTML version deleted]]
>      >
>      > ______________________________________________
>      > [hidden email] <mailto:[hidden email]> mailing list
>     -- To UNSUBSCRIBE and more, see
>      > https://stat.ethz.ch/mailman/listinfo/r-help
>      > PLEASE do read the posting guide
>     http://www.R-project.org/posting-guide.html
>      > and provide commented, minimal, self-contained, reproducible code.
>      >
>
>     --
>     Michael
>     http://www.dewey.myzen.co.uk/home.html
>

--
Michael
http://www.dewey.myzen.co.uk/home.html

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: Assistance on Installing Rattle

Shivi Bhatia-2
Hi Michael Thank you for the reply.I have been looking for 3.5.1 version of this package but I cannot find one, would you recommend downgrading my current R version. Would there be some or any other compatibly issue - please advice. 
Thank you, Shivi 


Sent from Yahoo Mail for iPhone


On Monday, August 13, 2018, 21:56, Michael Dewey <[hidden email]> wrote:

Dear Shivi

You are running R 3.5.1 according to your session info. Why are you
installing a version for R 3.3? Note that the up-to-date version depends
on R > 3.4.0 so it is no surprise that you get problems.

Michael

On 13/08/2018 16:07, Shivi Bhatia wrote:

> Hi Michael,
>
> I was able to install RGtk2
> from install.packages("https://cran.r-project.org/bin/windows/contrib/3.3/RGtk2_2.20.31.zip",
> repos=NULL) but after installing this and trying to install rattle i get
> this error:
> Error : package 'RGtk2' was installed by an R version with different
> internals; it needs to be reinstalled for use with this R version
> ERROR: lazy loading failed for package 'rattle'
>
> I tried installing rattle from install.packages("rattle",
> repos="https://rattle.togaware.com", type="source").
>
> Regards, Shivi
>
>
> On Sun, Aug 12, 2018 at 7:20 PM Michael Dewey <[hidden email]
> <mailto:[hidden email]>> wrote:
>
>    Dear Shivi
>
>    What error message do you get when you try to install RGtk2?
>
>    Michael
>
>    On 12/08/2018 11:49, Shivi Bhatia wrote:
>      > Hi Eric,
>      >
>      > Thank you for the reply. I am adding the session details below,
>    hope it
>      > helps:
>      > R version 3.5.1 (2018-07-02)
>      > Platform: x86_64-w64-mingw32/x64 (64-bit)
>      > Running under: Windows >= 8 x64 (build 9200)
>      >
>      > Matrix products: default
>      > locale:
>      > [1] LC_COLLATE=English_India.1252  LC_CTYPE=English_India.1252
>      > LC_MONETARY=English_India.1252
>      > [4] LC_NUMERIC=C                   LC_TIME=English_India.1252
>      >
>      > attached base packages:
>      > [1] stats     graphics  grDevices utils     datasets  methods   base
>      >
>      > Thanks.
>      >
>      > On Sat, Aug 11, 2018 at 9:38 PM Eric Berger
>    <[hidden email] <mailto:[hidden email]>> wrote:
>      >
>      >> Hi Shivi,
>      >> I have no experience with the rattle package but I just
>    installed it with
>      >> no problem.
>      >> I am using a Windows 10 machine with R version 3.4.2.
>      >>
>      >> I suggest you provide additional information so that others may
>    have ideas.
>      >> e.g. your operating system version and output from sessionInfo()
>    (in R)
>      >>
>      >> Best,
>      >> Eric
>      >>
>      >>
>      >> On Sat, Aug 11, 2018 at 6:55 PM, Shivi Bhatia
>    <[hidden email] <mailto:[hidden email]>>
>      >> wrote:
>      >>
>      >>> Hi,
>      >>>
>      >>> Need assistance on installing Rattle.
>      >>>
>      >>> I have followed the instructions on https://rattle.togaware.com/
>      >>> but still facing error installing the package.
>      >>> ERROR: dependency 'RGtk2' is not available for package 'rattle'.
>      >>> Have tried installing RGt2 from multiple sources and its still
>    failing.
>      >>>
>      >>> One of the suggestion on stack overflow was to downgrade the R
>    version
>      >>> here
>      >>> :
>      >>>
>      >>>
>    https://stackoverflow.com/questions/24913643/downgrade-r-version-no-issues-with-bioconductor-installation
>      >>> Request assistance.
>      >>>
>      >>> Regards, Shivi
>      >>>
>      >>>          [[alternative HTML version deleted]]
>      >>>
>      >>> ______________________________________________
>      >>> [hidden email] <mailto:[hidden email]> mailing list
>    -- To UNSUBSCRIBE and more, see
>      >>> https://stat.ethz.ch/mailman/listinfo/r-help
>      >>> PLEASE do read the posting guide
>      >>> http://www.R-project.org/posting-guide.html
>      >>> and provide commented, minimal, self-contained, reproducible code.
>      >>>
>      >>
>      >>
>      >
>      >       [[alternative HTML version deleted]]
>      >
>      > ______________________________________________
>      > [hidden email] <mailto:[hidden email]> mailing list
>    -- To UNSUBSCRIBE and more, see
>      > https://stat.ethz.ch/mailman/listinfo/r-help
>      > PLEASE do read the posting guide
>    http://www.R-project.org/posting-guide.html
>      > and provide commented, minimal, self-contained, reproducible code.
>      >
>
>    --
>    Michael
>    http://www.dewey.myzen.co.uk/home.html
>

--
Michael
http://www.dewey.myzen.co.uk/home.html




        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: Assistance on Installing Rattle

Michael Dewey-3
Dear Shivi

The current version is on CRAN so why not use that?

install.packages("RGtk2")

should install version 2.30.35
If it does not then try another mirror

Michael

On 13/08/2018 19:47, Shivi Bhatia wrote:

> Hi Michael
> Thank you for the reply.
> I have been looking for 3.5.1 version of this package but I cannot find
> one, would you recommend downgrading my current R version.
> Would there be some or any other compatibly issue - please advice.
>
> Thank you, Shivi
>
>
> Sent from Yahoo Mail for iPhone <https://overview.mail.yahoo.com/?.src=iOS>
>
> On Monday, August 13, 2018, 21:56, Michael Dewey
> <[hidden email]> wrote:
>
>     Dear Shivi
>
>     You are running R 3.5.1 according to your session info. Why are you
>     installing a version for R 3.3? Note that the up-to-date version
>     depends
>     on R > 3.4.0 so it is no surprise that you get problems.
>
>     Michael
>
>     On 13/08/2018 16:07, Shivi Bhatia wrote:
>      > Hi Michael,
>      >
>      > I was able to install RGtk2
>      >
>     from install.packages("https://cran.r-project.org/bin/windows/contrib/3.3/RGtk2_2.20.31.zip",
>
>      > repos=NULL) but after installing this and trying to install
>     rattle i get
>      > this error:
>      > Error : package 'RGtk2' was installed by an R version with different
>      > internals; it needs to be reinstalled for use with this R version
>      > ERROR: lazy loading failed for package 'rattle'
>      >
>      > I tried installing rattle from install.packages("rattle",
>      > repos="https://rattle.togaware.com", type="source").
>      >
>      > Regards, Shivi
>      >
>      >
>      > On Sun, Aug 12, 2018 at 7:20 PM Michael Dewey
>     <[hidden email] <mailto:[hidden email]>
>      > <mailto:[hidden email]
>     <mailto:[hidden email]>>> wrote:
>      >
>      >    Dear Shivi
>      >
>      >    What error message do you get when you try to install RGtk2?
>      >
>      >    Michael
>      >
>      >    On 12/08/2018 11:49, Shivi Bhatia wrote:
>      >      > Hi Eric,
>      >      >
>      >      > Thank you for the reply. I am adding the session details
>     below,
>      >    hope it
>      >      > helps:
>      >      > R version 3.5.1 (2018-07-02)
>      >      > Platform: x86_64-w64-mingw32/x64 (64-bit)
>      >      > Running under: Windows >= 8 x64 (build 9200)
>      >      >
>      >      > Matrix products: default
>      >      > locale:
>      >      > [1] LC_COLLATE=English_India.1252  LC_CTYPE=English_India.1252
>      >      > LC_MONETARY=English_India.1252
>      >      > [4] LC_NUMERIC=C                   LC_TIME=English_India.1252
>      >      >
>      >      > attached base packages:
>      >      > [1] stats     graphics  grDevices utils     datasets
>     methods   base
>      >      >
>      >      > Thanks.
>      >      >
>      >      > On Sat, Aug 11, 2018 at 9:38 PM Eric Berger
>      >    <[hidden email] <mailto:[hidden email]>
>     <mailto:[hidden email] <mailto:[hidden email]>>> wrote:
>      >      >
>      >      >> Hi Shivi,
>      >      >> I have no experience with the rattle package but I just
>      >    installed it with
>      >      >> no problem.
>      >      >> I am using a Windows 10 machine with R version 3.4.2.
>      >      >>
>      >      >> I suggest you provide additional information so that
>     others may
>      >    have ideas.
>      >      >> e.g. your operating system version and output from
>     sessionInfo()
>      >    (in R)
>      >      >>
>      >      >> Best,
>      >      >> Eric
>      >      >>
>      >      >>
>      >      >> On Sat, Aug 11, 2018 at 6:55 PM, Shivi Bhatia
>      >    <[hidden email] <mailto:[hidden email]>
>     <mailto:[hidden email] <mailto:[hidden email]>>>
>      >      >> wrote:
>      >      >>
>      >      >>> Hi,
>      >      >>>
>      >      >>> Need assistance on installing Rattle.
>      >      >>>
>      >      >>> I have followed the instructions on
>     https://rattle.togaware.com/
>      >      >>> but still facing error installing the package.
>      >      >>> ERROR: dependency 'RGtk2' is not available for package
>     'rattle'.
>      >      >>> Have tried installing RGt2 from multiple sources and its
>     still
>      >    failing.
>      >      >>>
>      >      >>> One of the suggestion on stack overflow was to downgrade
>     the R
>      >    version
>      >      >>> here
>      >      >>> :
>      >      >>>
>      >      >>>
>      >
>     https://stackoverflow.com/questions/24913643/downgrade-r-version-no-issues-with-bioconductor-installation
>      >      >>> Request assistance.
>      >      >>>
>      >      >>> Regards, Shivi
>      >      >>>
>      >      >>>          [[alternative HTML version deleted]]
>      >      >>>
>      >      >>> ______________________________________________
>      >      >>> [hidden email] <mailto:[hidden email]>
>     <mailto:[hidden email] <mailto:[hidden email]>> mailing list
>      >    -- To UNSUBSCRIBE and more, see
>      >      >>> https://stat.ethz.ch/mailman/listinfo/r-help
>      >      >>> PLEASE do read the posting guide
>      >      >>> http://www.R-project.org/posting-guide.html
>      >      >>> and provide commented, minimal, self-contained,
>     reproducible code.
>      >      >>>
>      >      >>
>      >      >>
>      >      >
>      >      >       [[alternative HTML version deleted]]
>      >      >
>      >      > ______________________________________________
>      >      > [hidden email] <mailto:[hidden email]>
>     <mailto:[hidden email] <mailto:[hidden email]>> mailing list
>      >    -- To UNSUBSCRIBE and more, see
>      >      > https://stat.ethz.ch/mailman/listinfo/r-help
>      >      > PLEASE do read the posting guide
>      > http://www.R-project.org/posting-guide.html
>      >      > and provide commented, minimal, self-contained,
>     reproducible code.
>      >      >
>      >
>      >    --
>      >    Michael
>      > http://www.dewey.myzen.co.uk/home.html
>
>      >
>
>     --
>     Michael
>     http://www.dewey.myzen.co.uk/home.html
>

--
Michael
http://www.dewey.myzen.co.uk/home.html

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.